module Collection.Flags exposing (emojiList)


emojiList : List ( String, String )
emojiList =
    List.append clearer flag
        |> List.append countryFlag
        |> List.append subdivisionFlag


clearer =
    [ ( ":china:", "🇨🇳" )
    , ( ":germany:", "🇩🇪" )
    , ( ":spain:", "🇪🇸" )
    , ( ":france:", "🇫🇷" )
    , ( ":great_britain:", "🇬🇧" )
    , ( ":united_kingdom:", "🇬🇧" )
    , ( ":italy:", "🇮🇹" )
    , ( ":japan_flag:", "🇯🇵" )
    , ( ":korea:", "🇰🇷" )
    , ( ":south_korea:", "🇰🇷" )
    , ( ":russia:", "🇷🇺" )
    , ( ":turkey:", "🇹🇷" )
    , ( ":united_states_america:", "🇺🇸" )
    , ( ":palestine:", "🇵🇸" )
    ]


flag =
    [ ( ":checkered_flag:", "🏁" )
    , ( ":triangular_flag_on_post:", "🚩" )
    , ( ":crossed_flags:", "🎌" )
    , ( ":black_flag:", "🏴" )
    , ( ":white_flag:", "🏳️" )
    , ( ":rainbow_flag:", "🏳️\u{200D}🌈" )
    , ( ":transgender_flag:", "🏳️\u{200D}⚧️" )
    , ( ":pirate_flag:", "🏴\u{200D}☠️" )
    ]


countryFlag =
    [ ( ":ascension_island:", "🇦🇨" )
    , ( ":andorra:", "🇦🇩" )
    , ( ":united_arab_emirates:", "🇦🇪" )
    , ( ":afghanistan:", "🇦🇫" )
    , ( ":antigua_barbuda:", "🇦🇬" )
    , ( ":anguilla:", "🇦🇮" )
    , ( ":albania:", "🇦🇱" )
    , ( ":armenia:", "🇦🇲" )
    , ( ":angola:", "🇦🇴" )
    , ( ":antarctica:", "🇦🇶" )
    , ( ":argentina:", "🇦🇷" )
    , ( ":american_samoa:", "🇦🇸" )
    , ( ":austria:", "🇦🇹" )
    , ( ":australia:", "🇦🇺" )
    , ( ":aruba:", "🇦🇼" )
    , ( ":aland_islands:", "🇦🇽" )
    , ( ":azerbaijan:", "🇦🇿" )
    , ( ":bosnia_herzegovina:", "🇧🇦" )
    , ( ":barbados:", "🇧🇧" )
    , ( ":bangladesh:", "🇧🇩" )
    , ( ":belgium:", "🇧🇪" )
    , ( ":burkina_faso:", "🇧🇫" )
    , ( ":bulgaria:", "🇧🇬" )
    , ( ":bahrain:", "🇧🇭" )
    , ( ":burundi:", "🇧🇮" )
    , ( ":benin:", "🇧🇯" )
    , ( ":st_barthelemy:", "🇧🇱" )
    , ( ":bermuda:", "🇧🇲" )
    , ( ":brunei:", "🇧🇳" )
    , ( ":bolivia:", "🇧🇴" )
    , ( ":caribbean_netherlands:", "🇧🇶" )
    , ( ":brazil:", "🇧🇷" )
    , ( ":bahamas:", "🇧🇸" )
    , ( ":bhutan:", "🇧🇹" )
    , ( ":bouvet_island:", "🇧🇻" )
    , ( ":botswana:", "🇧🇼" )
    , ( ":belarus:", "🇧🇾" )
    , ( ":belize:", "🇧🇿" )
    , ( ":canada:", "🇨🇦" )
    , ( ":cocos_islands:", "🇨🇨" )
    , ( ":congo_kinshasa:", "🇨🇩" )
    , ( ":central_african_republic:", "🇨🇫" )
    , ( ":congo_brazzaville:", "🇨🇬" )
    , ( ":switzerland:", "🇨🇭" )
    , ( ":cote_divoire:", "🇨🇮" )
    , ( ":cook_islands:", "🇨🇰" )
    , ( ":chile:", "🇨🇱" )
    , ( ":cameroon:", "🇨🇲" )
    , ( ":cn:", "🇨🇳" )
    , ( ":colombia:", "🇨🇴" )
    , ( ":clipperton_island:", "🇨🇵" )
    , ( ":costa_rica:", "🇨🇷" )
    , ( ":cuba:", "🇨🇺" )
    , ( ":cape_verde:", "🇨🇻" )
    , ( ":curacao:", "🇨🇼" )
    , ( ":christmas_island:", "🇨🇽" )
    , ( ":cyprus:", "🇨🇾" )
    , ( ":czech_republic:", "🇨🇿" )
    , ( ":de:", "🇩🇪" )
    , ( ":diego_garcia:", "🇩🇬" )
    , ( ":djibouti:", "🇩🇯" )
    , ( ":denmark:", "🇩🇰" )
    , ( ":dominica:", "🇩🇲" )
    , ( ":dominican_republic:", "🇩🇴" )
    , ( ":algeria:", "🇩🇿" )
    , ( ":ceuta_melilla:", "🇪🇦" )
    , ( ":ecuador:", "🇪🇨" )
    , ( ":estonia:", "🇪🇪" )
    , ( ":egypt:", "🇪🇬" )
    , ( ":western_sahara:", "🇪🇭" )
    , ( ":eritrea:", "🇪🇷" )
    , ( ":es:", "🇪🇸" )
    , ( ":ethiopia:", "🇪🇹" )
    , ( ":eu:", "🇪🇺" )
    , ( ":european_union:", "🇪🇺" )
    , ( ":finland:", "🇫🇮" )
    , ( ":fiji:", "🇫🇯" )
    , ( ":falkland_islands:", "🇫🇰" )
    , ( ":micronesia:", "🇫🇲" )
    , ( ":faroe_islands:", "🇫🇴" )
    , ( ":fr:", "🇫🇷" )
    , ( ":gabon:", "🇬🇦" )
    , ( ":gb:", "🇬🇧" )
    , ( ":uk:", "🇬🇧" )
    , ( ":grenada:", "🇬🇩" )
    , ( ":georgia:", "🇬🇪" )
    , ( ":french_guiana:", "🇬🇫" )
    , ( ":guernsey:", "🇬🇬" )
    , ( ":ghana:", "🇬🇭" )
    , ( ":gibraltar:", "🇬🇮" )
    , ( ":greenland:", "🇬🇱" )
    , ( ":gambia:", "🇬🇲" )
    , ( ":guinea:", "🇬🇳" )
    , ( ":guadeloupe:", "🇬🇵" )
    , ( ":equatorial_guinea:", "🇬🇶" )
    , ( ":greece:", "🇬🇷" )
    , ( ":south_georgia_south_sandwich_islands:", "🇬🇸" )
    , ( ":guatemala:", "🇬🇹" )
    , ( ":guam:", "🇬🇺" )
    , ( ":guinea_bissau:", "🇬🇼" )
    , ( ":guyana:", "🇬🇾" )
    , ( ":hong_kong:", "🇭🇰" )
    , ( ":heard_mcdonald_islands:", "🇭🇲" )
    , ( ":honduras:", "🇭🇳" )
    , ( ":croatia:", "🇭🇷" )
    , ( ":haiti:", "🇭🇹" )
    , ( ":hungary:", "🇭🇺" )
    , ( ":canary_islands:", "🇮🇨" )
    , ( ":indonesia:", "🇮🇩" )
    , ( ":ireland:", "🇮🇪" )
    , ( ":israel:", "🇮🇱" )
    , ( ":isle_of_man:", "🇮🇲" )
    , ( ":india:", "🇮🇳" )
    , ( ":british_indian_ocean_territory:", "🇮🇴" )
    , ( ":iraq:", "🇮🇶" )
    , ( ":iran:", "🇮🇷" )
    , ( ":iceland:", "🇮🇸" )
    , ( ":it:", "🇮🇹" )
    , ( ":jersey:", "🇯🇪" )
    , ( ":jamaica:", "🇯🇲" )
    , ( ":jordan:", "🇯🇴" )
    , ( ":jp:", "🇯🇵" )
    , ( ":kenya:", "🇰🇪" )
    , ( ":kyrgyzstan:", "🇰🇬" )
    , ( ":cambodia:", "🇰🇭" )
    , ( ":kiribati:", "🇰🇮" )
    , ( ":comoros:", "🇰🇲" )
    , ( ":st_kitts_nevis:", "🇰🇳" )
    , ( ":north_korea:", "🇰🇵" )
    , ( ":kr:", "🇰🇷" )
    , ( ":kuwait:", "🇰🇼" )
    , ( ":cayman_islands:", "🇰🇾" )
    , ( ":kazakhstan:", "🇰🇿" )
    , ( ":laos:", "🇱🇦" )
    , ( ":lebanon:", "🇱🇧" )
    , ( ":st_lucia:", "🇱🇨" )
    , ( ":liechtenstein:", "🇱🇮" )
    , ( ":sri_lanka:", "🇱🇰" )
    , ( ":liberia:", "🇱🇷" )
    , ( ":lesotho:", "🇱🇸" )
    , ( ":lithuania:", "🇱🇹" )
    , ( ":luxembourg:", "🇱🇺" )
    , ( ":latvia:", "🇱🇻" )
    , ( ":libya:", "🇱🇾" )
    , ( ":morocco:", "🇲🇦" )
    , ( ":monaco:", "🇲🇨" )
    , ( ":moldova:", "🇲🇩" )
    , ( ":montenegro:", "🇲🇪" )
    , ( ":st_martin:", "🇲🇫" )
    , ( ":madagascar:", "🇲🇬" )
    , ( ":marshall_islands:", "🇲🇭" )
    , ( ":macedonia:", "🇲🇰" )
    , ( ":mali:", "🇲🇱" )
    , ( ":myanmar:", "🇲🇲" )
    , ( ":mongolia:", "🇲🇳" )
    , ( ":macau:", "🇲🇴" )
    , ( ":northern_mariana_islands:", "🇲🇵" )
    , ( ":martinique:", "🇲🇶" )
    , ( ":mauritania:", "🇲🇷" )
    , ( ":montserrat:", "🇲🇸" )
    , ( ":malta:", "🇲🇹" )
    , ( ":mauritius:", "🇲🇺" )
    , ( ":maldives:", "🇲🇻" )
    , ( ":malawi:", "🇲🇼" )
    , ( ":mexico:", "🇲🇽" )
    , ( ":malaysia:", "🇲🇾" )
    , ( ":mozambique:", "🇲🇿" )
    , ( ":namibia:", "🇳🇦" )
    , ( ":new_caledonia:", "🇳🇨" )
    , ( ":niger:", "🇳🇪" )
    , ( ":norfolk_island:", "🇳🇫" )
    , ( ":nigeria:", "🇳🇬" )
    , ( ":nicaragua:", "🇳🇮" )
    , ( ":netherlands:", "🇳🇱" )
    , ( ":norway:", "🇳🇴" )
    , ( ":nepal:", "🇳🇵" )
    , ( ":nauru:", "🇳🇷" )
    , ( ":niue:", "🇳🇺" )
    , ( ":new_zealand:", "🇳🇿" )
    , ( ":oman:", "🇴🇲" )
    , ( ":panama:", "🇵🇦" )
    , ( ":peru:", "🇵🇪" )
    , ( ":french_polynesia:", "🇵🇫" )
    , ( ":papua_new_guinea:", "🇵🇬" )
    , ( ":philippines:", "🇵🇭" )
    , ( ":pakistan:", "🇵🇰" )
    , ( ":poland:", "🇵🇱" )
    , ( ":st_pierre_miquelon:", "🇵🇲" )
    , ( ":pitcairn_islands:", "🇵🇳" )
    , ( ":puerto_rico:", "🇵🇷" )
    , ( ":palestinian_territories:", "🇵🇸" )
    , ( ":portugal:", "🇵🇹" )
    , ( ":palau:", "🇵🇼" )
    , ( ":paraguay:", "🇵🇾" )
    , ( ":qatar:", "🇶🇦" )
    , ( ":reunion:", "🇷🇪" )
    , ( ":romania:", "🇷🇴" )
    , ( ":serbia:", "🇷🇸" )
    , ( ":ru:", "🇷🇺" )
    , ( ":rwanda:", "🇷🇼" )
    , ( ":saudi_arabia:", "🇸🇦" )
    , ( ":solomon_islands:", "🇸🇧" )
    , ( ":seychelles:", "🇸🇨" )
    , ( ":sudan:", "🇸🇩" )
    , ( ":sweden:", "🇸🇪" )
    , ( ":singapore:", "🇸🇬" )
    , ( ":st_helena:", "🇸🇭" )
    , ( ":slovenia:", "🇸🇮" )
    , ( ":svalbard_jan_mayen:", "🇸🇯" )
    , ( ":slovakia:", "🇸🇰" )
    , ( ":sierra_leone:", "🇸🇱" )
    , ( ":san_marino:", "🇸🇲" )
    , ( ":senegal:", "🇸🇳" )
    , ( ":somalia:", "🇸🇴" )
    , ( ":suriname:", "🇸🇷" )
    , ( ":south_sudan:", "🇸🇸" )
    , ( ":sao_tome_principe:", "🇸🇹" )
    , ( ":el_salvador:", "🇸🇻" )
    , ( ":sint_maarten:", "🇸🇽" )
    , ( ":syria:", "🇸🇾" )
    , ( ":swaziland:", "🇸🇿" )
    , ( ":tristan_da_cunha:", "🇹🇦" )
    , ( ":turks_caicos_islands:", "🇹🇨" )
    , ( ":chad:", "🇹🇩" )
    , ( ":french_southern_territories:", "🇹🇫" )
    , ( ":togo:", "🇹🇬" )
    , ( ":thailand:", "🇹🇭" )
    , ( ":tajikistan:", "🇹🇯" )
    , ( ":tokelau:", "🇹🇰" )
    , ( ":timor_leste:", "🇹🇱" )
    , ( ":turkmenistan:", "🇹🇲" )
    , ( ":tunisia:", "🇹🇳" )
    , ( ":tonga:", "🇹🇴" )
    , ( ":tr:", "🇹🇷" )
    , ( ":trinidad_tobago:", "🇹🇹" )
    , ( ":tuvalu:", "🇹🇻" )
    , ( ":taiwan:", "🇹🇼" )
    , ( ":tanzania:", "🇹🇿" )
    , ( ":ukraine:", "🇺🇦" )
    , ( ":uganda:", "🇺🇬" )
    , ( ":us_outlying_islands:", "🇺🇲" )
    , ( ":united_nations:", "🇺🇳" )
    , ( ":us:", "🇺🇸" )
    , ( ":uruguay:", "🇺🇾" )
    , ( ":uzbekistan:", "🇺🇿" )
    , ( ":vatican_city:", "🇻🇦" )
    , ( ":st_vincent_grenadines:", "🇻🇨" )
    , ( ":venezuela:", "🇻🇪" )
    , ( ":british_virgin_islands:", "🇻🇬" )
    , ( ":us_virgin_islands:", "🇻🇮" )
    , ( ":vietnam:", "🇻🇳" )
    , ( ":vanuatu:", "🇻🇺" )
    , ( ":wallis_futuna:", "🇼🇫" )
    , ( ":samoa:", "🇼🇸" )
    , ( ":kosovo:", "🇽🇰" )
    , ( ":yemen:", "🇾🇪" )
    , ( ":mayotte:", "🇾🇹" )
    , ( ":south_africa:", "🇿🇦" )
    , ( ":zambia:", "🇿🇲" )
    , ( ":zimbabwe:", "🇿🇼" )
    ]


subdivisionFlag : List ( String, String )
subdivisionFlag =
    [ ( ":england:", "🏴\u{E0067}\u{E0062}\u{E0065}\u{E006E}\u{E0067}\u{E007F}" )
    , ( ":scotland:", "🏴\u{E0067}\u{E0062}\u{E0073}\u{E0063}\u{E0074}\u{E007F}" )
    , ( ":wales:", "🏴\u{E0067}\u{E0062}\u{E0077}\u{E006C}\u{E0073}\u{E007F}" )
    ]
